Well, I'd say the problem is this:
Quote Originally Posted by bonedriven View Post
Code:
IOError: [Errno 13] Permission denied: '/usr/lib/python2.7/site-packages/protobuf-3.0.0b2.post2-py2.7.egg/EGG-INFO/namespace_packages.txt'

I.e. actually not really a problem with calibre, but rather your python2 installation in general.

What permissions does the file have?
Code:
ls -l /usr/lib/python2.7/site-packages/protobuf-3.0.0b2.post2-py2.7.egg/EGG-INFO/namespace_packages.txt
Where from/how did you install it?
Code:
rpm -qf /usr/lib/python2.7/site-packages/protobuf-3.0.0b2.post2-py2.7.egg/EGG-INFO/namespace_packages.txt
AFAICS that file should not be there in Tumbleweed at all, because Tumbleweed (only) has python-protobuf 2.6.1 (not 3.0.0b2.post2). Though it may be part of some other package...